Version 1.1.2

Released on 2017/04/10.

Note

If you are upgrading a cluster, you must be running CrateDB 0.57.0 or higher before you upgrade to 1.1.2.

If you want to perform a rolling upgrade, your current CrateDB version number must be Version 1.1.1 or higher. If you want to upgrade from a version prior to this, the upgrade will introduce all of the breaking changes listed for Version 1.1.0, and will require a full restart upgrade.

Warning

Before upgrading, you should back up your data.

Changelog

Fixes

  • Fixed a bug which caused non-grouping aggregations on a join with explicit CROSS JOIN syntax to fail.
  • Correctly expose stats.service.interval in the sys.cluster table.
  • Re-added compatibility layer that was removed in 1.1 and resulted in exception thrown when trying to run aggregations on tables created with CrateDB < 0.52.0.
  • Fixed a race condition which could cause a memory leak.
  • Updated documentation to indicate that it’s not possible to use object, geo_point, geo_shape or array in the ORDER BY clause.
  • Fixed cluster check, which warns about tables that need upgrade for future compatibility, to include only tables that differ from current storage engine major version number.
  • Fixed issue which prevents blob directories from being removed after a drop blob table command when a custom blob location is configured.